#ifndef	__uart
#define __uart

#include <msp430x41x.h>
#include "interrupts.h"


#define RXD   0x02                      // RXD on P1.1
#define TXD   0x01                      // TXD on P1.0

//  Conditions for 9600 Baud SW UART, SMCLK = 1048576

#define Bitime_5  0x47                  // ~ 0.5 bit length + small adjustment 
#define Bitime  0x6C                    // ~ 9620 baud
 
volatile unsigned int RXTXData;
volatile unsigned char BitCnt;

//void TX_Byte (void);
//void RX_Ready (void);

void init_uart(void);
void send_char(int c);
int recv_char(void);

#endif
